Bug 809116 - Review Request: novacom-client - Utility to connect to WebOS devices
Review Request: novacom-client - Utility to connect to WebOS devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 10:11 EDT by Jonathan Dieter
Modified: 2012-05-26 02:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 02:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Dieter 2012-04-02 10:11:48 EDT
Spec URL: http://lesloueizeh.com/jdieter/novacom.spec
SRPM URL: http://lesloueizeh.com/jdieter/novacom-1.1.0-0.1.rc1.git.ff7641193a.fc16.src.rpm
Description:
This utility allows you to connect to WebOS devices that are connected over
USB.  You must have novacomd installed to use it
Comment 1 Mohamed El Morabity 2012-04-04 05:56:42 EDT
As I wrote in bug 809114, a Requires on novacomd should be add to this package. By the way, I would update the description to specify that the novacomd service must be enabled.
Comment 2 Jonathan Dieter 2012-04-12 09:54:08 EDT
Updated package.

Spec URL: http://lesloueizeh.com/jdieter/novacom-client.spec
SRPM URL:
http://lesloueizeh.com/jdieter/novacom-client-1.1.0-0.2.rc1.git.ff7641193a.fc16.src.rpm

This adds the novaterm command which allows you to open a shell on the WebOS device, and also renames the package in accordance with https://bugzilla.redhat.com/show_bug.cgi?id=809114#c8.  A metapackage named 'novacom' is included that brings in both the server and the client.

The 'novacom' package description specifies that the novacomd service must be started.
Comment 3 Mohamed El Morabity 2012-04-26 06:00:01 EDT
(In reply to comment #1)
> As I wrote in bug 809114, a Requires on novacomd should be add to this package.
> By the way, I would update the description to specify that the novacomd service
> must be enabled.
This comment can be ignored, see bug #809114 for details.

You should add a comment to describe the way the sources can be retrieved, or provide a direct URL to get them (as in novacom-server).

You should use %global instead of %define here:
   http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

Since gcc is part of the implicit BuildRequires, you don't need to add glibc-devel to the list of BR:
   http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

It looks like the client sources include parts of libtomcrypt (see files src/base64.*). Fortunately, they're not used by novacom. I wonder if it's worth deleting them.
Comment 4 Jonathan Dieter 2012-04-26 14:04:36 EDT
(In reply to comment #3)
> You should add a comment to describe the way the sources can be retrieved, or
> provide a direct URL to get them (as in novacom-server).

Fixed.  Unfortunately, openwebos hasn't done a release of novacom (unlike novacom-server).

> You should use %global instead of %define here:
>   
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

Fixed.

> Since gcc is part of the implicit BuildRequires, you don't need to add
> glibc-devel to the list of BR:
>    http://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2

Fixed.

> It looks like the client sources include parts of libtomcrypt (see files
> src/base64.*). Fortunately, they're not used by novacom. I wonder if it's worth
> deleting them.

I figured it was worth it, so I went ahead and patched src/base64* out of the makefile and main.c, and remove them in the spec file
Comment 6 Jonathan Dieter 2012-04-26 14:07:07 EDT
Ok, I don't know how that just got assigned to 0xFFFF, but reassigning to Package Review and Mohamed.
Comment 7 Mohamed El Morabity 2012-05-07 07:40:29 EDT
Here is the review:



Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint novacom-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

novacom.i686: W: spelling-error %description -l en_US systemctl -> systemic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint novacom-client-1.1.0-0.3.rc1.git.ff7641193a.fc18.src.rpm

novacom-client.src: W: invalid-url Source0: novacom-git-ff7641193a.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint novacom-client-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

novacom-client.i686: W: no-manual-page-for-binary novacom
novacom-client.i686: W: no-manual-page-for-binary novaterm
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint novacom-client-debuginfo-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.
>>> Can be safely ignored

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0: novacom-git-%{_gitver}.tar.gz (novacom-
     git-%{_gitver}.tar.gz) Source1: novaterm (novaterm) Patch0: novacom-
     makefile-fixes.patch (novacom-makefile-fixes.patch) Patch1: novacom-
     remove-base64.patch (novacom-remove-base64.patch)
>>> Not a blocker
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Rpmlint output is silent.

rpmlint novacom-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

novacom.i686: W: spelling-error %description -l en_US systemctl -> systemic
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint novacom-client-1.1.0-0.3.rc1.git.ff7641193a.fc18.src.rpm

novacom-client.src: W: invalid-url Source0: novacom-git-ff7641193a.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint novacom-client-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

novacom-client.i686: W: no-manual-page-for-binary novacom
novacom-client.i686: W: no-manual-page-for-binary novaterm
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint novacom-client-debuginfo-1.1.0-0.3.rc1.git.ff7641193a.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


----

Just one (last) comment: since the novacom package is a subpackage of the main one, you should add the %{release} condition on the Requires on novacom-client as below:
   Requires:	novacom-client = %{version}-%{release}
Anyway it's not a blocker; i trust you to fix it before importing the package.

So this package is APPROVED.
Comment 8 Jonathan Dieter 2012-05-07 08:22:20 EDT
New Package SCM Request
=======================
Package Name: novacom-client
Short Description: Utility to connect to WebOS devices
Owners: jdieter
Branches: f15 f16 f17 el5 el6
InitialCC:
Comment 9 Gwyn Ciesla 2012-05-07 08:31:42 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-05-07 10:44:55 EDT
novacom-server-1.1.0-0.6.rc1.fc17,novacom-client-1.1.0-0.4.rc1.git.ff7641193a.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/novacom-server-1.1.0-0.6.rc1.fc17,novacom-client-1.1.0-0.4.rc1.git.ff7641193a.fc17
Comment 11 Fedora Update System 2012-05-07 18:25:44 EDT
novacom-server-1.1.0-0.6.rc1.fc17, novacom-client-1.1.0-0.4.rc1.git.ff7641193a.fc17 has been pushed to the Fedora 17 testing repository.
Comment 12 Fedora Update System 2012-05-26 02:58:44 EDT
novacom-server-1.1.0-0.6.rc1.fc17, novacom-client-1.1.0-0.4.rc1.git.ff7641193a.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.